# Interface MagicValue

A magic variable's value (may contain errors?)

#### Category

Special container types (debugger-only)

#### Hierarchy

- MagicValue

- Defined in codec/lib/format/values.ts:372

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {}

#### Type declaration

- Defined in codec/lib/format/values.ts:379

### kind

kind: "value"

- Defined in codec/lib/format/values.ts:374

### type

type: MagicType

- Defined in codec/lib/format/values.ts:373

### value

value: {
[field: string]: Result;
}

#### Type declaration

- ##### [field: string]: Result

- Defined in codec/lib/format/values.ts:376

Generated using TypeDoc